### Method

# FwupdPlugin Device add_instance_id_full

#### Declaration [src]

    void
    fu_device_add_instance_id_full (
      FuDevice* self,
      const gchar* instance_id,
      FuDeviceInstanceFlags flags
    )

#### Description [src]

Adds an instance ID or GUID with all parameters set.

A counterpart GUID is the GUID of the same device in bootloader or runtime mode, if they have a different device PCI or USB ID.

Available since: | 1.2.9

#### Parameters

`instance_id` | `const gchar*`
| A instance ID or GUID, e.g. `WacomAES`
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`flags` | `FuDeviceInstanceFlags`
| Instance ID flags.